Debian Bug report logs - #325098
dh_installdocs change in 4.9.6 breaks -X completely

version graph

Package: debhelper; Maintainer for debhelper is Debhelper Maintainers <debhelper-devel@lists.alioth.debian.org>; Source for debhelper is src:debhelper.

Reported by: Steve Langasek <vorlon@debian.org>

Date: Fri, 26 Aug 2005 06:33:02 UTC

Severity: grave

Merged with 325152

Found in version debhelper/4.9.6

Fixed in version debhelper/4.9.7

Done: Joey Hess <joeyh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>:
Bug#325098; Package debhelper. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
New Bug report received and forwarded. Copy sent to Joey Hess <joeyh@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: dh_installdocs change in 4.9.6 breaks -X completely
Date: Thu, 25 Aug 2005 23:28:04 -0700
Package: debhelper
Version: 4.9.6
Severity: grave

The change introduced in debhelper 4.9.6 to support copying links as well as
files does not sit well with the current findutils:

dh_installdocs -XMakefile -XDoxyfile
find: paths must precede expression
Usage: find [-H] [-L] [-P] [path...] [expression]
dh_installdocs: command returned error code
make: *** [binary-arch] Error 1

This causes build failures such as the one at
<http://buildd.debian.org/fetch.php?&pkg=gtkmm2.4&ver=1%3A2.6.2-1.1&arch=m68k&stamp=1125017969&file=log&as=raw>.

It appears that "or" in the find expression should be "-o".

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.8-2-686
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)

Versions of packages debhelper depends on:
ii  binutils                      2.16.1-2   The GNU assembler, linker and bina
ii  coreutils [fileutils]         5.2.1-2    The GNU core utilities
ii  debconf-utils                 1.4.57     debconf utilities
ii  dpkg-dev                      1.13.10    Package building tools for Debian
ii  file                          4.12-1     Determines file type using "magic"
ii  fileutils                     5.2.1-2    The GNU file management utilities 
ii  html2text                     1.3.2a-2   An advanced HTML to text converter
ii  perl                          5.8.7-4    Larry Wall's Practical Extraction 
ii  po-debconf                    0.8.23     manage translated Debconf template

debhelper recommends no packages.

-- no debconf information



Reply sent to Joey Hess <joeyh@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Steve Langasek <vorlon@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 325098-close@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 325098-close@bugs.debian.org
Subject: Bug#325098: fixed in debhelper 4.9.7
Date: Fri, 26 Aug 2005 06:32:13 -0700
Source: debhelper
Source-Version: 4.9.7

We believe that the bug you reported is fixed in the latest version of
debhelper, which is due to be installed in the Debian FTP archive:

debhelper_4.9.7.dsc
  to pool/main/d/debhelper/debhelper_4.9.7.dsc
debhelper_4.9.7.tar.gz
  to pool/main/d/debhelper/debhelper_4.9.7.tar.gz
debhelper_4.9.7_all.deb
  to pool/main/d/debhelper/debhelper_4.9.7_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 325098@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Joey Hess <joeyh@debian.org> (supplier of updated debhelper package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 26 Aug 2005 09:20:47 -0400
Source: debhelper
Binary: debhelper
Architecture: source all
Version: 4.9.7
Distribution: unstable
Urgency: low
Maintainer: Joey Hess <joeyh@debian.org>
Changed-By: Joey Hess <joeyh@debian.org>
Description: 
 debhelper  - helper programs for debian/rules
Closes: 325098
Changes: 
 debhelper (4.9.7) unstable; urgency=low
 .
   * dh_installdocs: Fix stupid and horrible typo. Closes: #325098
Files: 
 c16a2b851af3c2046b852e65e7e29965 456 devel optional debhelper_4.9.7.dsc
 a1998d9e05c82b95d7e5d8f917fe7f7d 150083 devel optional debhelper_4.9.7.tar.gz
 d08dbfe42e0f3a4b435d0ca7ac77215e 363892 devel optional debhelper_4.9.7_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFDDxh02tp5zXiKP0wRAgAzAKCuS5wsruUZt8tdktWBkEWTtboMawCgsfHa
45Fl05X1PrkybafzKKAf+sQ=
=DhZj
-----END PGP SIGNATURE-----




Merged 325098 325152. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 20:25:22 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 07:31:11 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.